“새 앱은 새 부대에” iOS 9, 서드파티 앱 구형 기기 지원 제한 가능해져

IDG News Service
애플의 차기 운영체제 iOS 9는 아이패드 2나 아이폰 4S 등의 오래된 기기도 지원하지만, 그렇다고 최신 앱까지 이러한 구형 기기를 지원하는 것은 아니다. 애플은 iOS 9에서 서드파티 개발자가 앱을 개발할 때, 최신 아이폰, 아이패드에서만 앱을 사용하는 제한을 둘 수 있게 허용할 예정이다.

이제 최신 고사양 기기에서만 앱이 작동하기를 원하는 개발자들은 64비트 프로세서를 탑재한 기기로 제한을 두면 된다. A7 프로세서 이상을 탑재한 기기, 즉 현 시점에서 아이폰 5S, 아이폰 6, 아이패드 에어, 아이패드 에어 2, 아이패드 미니 2, 아이패드 미니 3에서만 이런 앱을 사용할 수 있다. 여기에 포함되지 않는 기기 사용자는 앱스토어에서 앱을 볼 수 없게 된다.


이러한 변화로 개발자들은 iOS 9를 지원하는 아이패드, 아이폰 4S, 아이패드 미니 등 오래된 기기에서 해방될 수 있다. 구형 기기도 iOS 9를 설치할 수 있지만, A5 칩을 사용하기 때문에 일부 게임 등 시스템 성능 면에서 높은 기준을 요구하는 앱을 구동하기는 어렵다. 현재는 신형 기기용 앱 개발자들은 앱 스토어에서 구형 기기 사용자를 대상으로 안내 메시지만 게시하고 있다.

안내 메시지는 앱 스토어의 설명을 꼼꼼하게 읽는 사용자들에게는 괜찮지만, 일부 사용자들이 공지를 읽지 않고 사용하지도 못할 앱을 구입할 위험이 있다. 무료 앱이라면 몰라도 몇 달러짜리 유료 게임이라면 문제가 될 수 있다.

이번 변화는 구형 기기에 맞춰 앱을 최적화하는데 시간을 쓰고 싶지 않은 개발자들에게도 반가운 소식이다. 시간이 많지 않은 독립 개발자들은 1GHz 프로세서와 512MB RAM을 쓰는 구형 아이패드용 앱을 개발하지 않아도 되고, 고사양 게임 개발자들 또한 고성능 기기에 초점을 맞출 수 있다.

또한 애플은 구형 기기를 위한 운영체제를 계속 지원하고, 사용자들이 새로운 기기로 업그레이드하도록 동기를 부여하는 역할을 서드파티 업체에 맡긴다는 의미도 된다. 성능이 감소된 구형 기기를 다루고 싶지 않은 개발자들은 지원을 멈출 것이고, 그러면 낡은 아이패드, 아이폰을 고집하는 사람들도 앱스토어의 모든 앱을 지원하는 신형 기기로 교체할 가능성이 높아진다. 사용자가 새로운 소프트웨어의 장점을 누리기 위해 하나씩 하드웨어를 업그레이드하게 될 가능성이 생기는 것이다.

애플은 과거 iOS 운영체제를 업그레이드 하면서 구형 기기에 대한 지원을 지나치게 빨리 중단했다는 비판을 받았다. 이번 조치는 서드파티 개발자들이 지원을 중단하더라도 애플은 계속해서 구형 기기에 대한 업데이트를 제공한다는 의미로 볼 수 있다. editor@itworld.co.kr